WordPress.org

Make WordPress Core

Changeset 37343


Ignore:
Timestamp:
05/02/2016 04:52:55 AM (4 years ago)
Author:
DrewAPicture
Message:

Docs: Improve the class DocBlock for WP_Widget to clarify which methods "should" vs "must" be overridden by extending sub-classes.

Props Frank-Klein.
Fixes #36703.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-includes/class-wp-widget.php

    r37065 r37343  
    1111 * Core base class extended to register widgets.
    1212 *
    13  * This class must be extended for each widget and WP_Widget::widget(), WP_Widget::update()
    14  * and WP_Widget::form() need to be overridden.
     13 * This class must be extended for each widget, and WP_Widget::widget() must be overriden.
     14 *
     15 * If adding widget options, WP_Widget::update() and WP_Widget::form() should also be overridden.
    1516 *
    1617 * @since 2.8.0
Note: See TracChangeset for help on using the changeset viewer.